IDEA提示Generics are not supported at this language level解决方法

有的错误提示是:source 1.3 中不支持泛型(请使用 -source 5 或更高版本以启用泛型)

选择File---->Project Structure

IDEA提示Generics are not supported at this language level解决方法-上流阁

修改Project language level为7

IDEA提示Generics are not supported at this language level解决方法-上流阁

*文章为作者独立观点,不代表上流阁立场
本文由 江风成 授权 上流阁 发表,并经上流阁编辑。转载此文章须经作者同意,并请附上出处(上流阁)及本页链接。原文链接https://www.o6c.com/java/2016/11/16/744.html
发表评论

4 条评论
相关文章
windows BAT 文件 多个命令同步执行
windows BAT 文件 多个命令同步执行
java 中 封装BigDecimal常用计算类MathUtils
java 中 封装BigDecimal常用计算类MathU…
JDBC原生链接Mysql数据根据表映射生成bean实体类
JDBC原生链接Mysql数据根据表映射生成be…
Linux CentOS 7.2版 JDK 安装
Linux CentOS 7.2版 JDK 安装
Mysql索引的最左前缀原则
Mysql索引的最左前缀原则
Java技术中Mysql之Mybaitis中IN的函数拼接方法
Java技术中Mysql之Mybaitis中IN的函数拼…
javaweb开发程序员php开发,微信开发。接受定制开发

最新评论